Record Class AtmosphereRequestImpl.Body.BytesBody

java.lang.Object
java.lang.Record
org.atmosphere.cpr.AtmosphereRequestImpl.Body.BytesBody
All Implemented Interfaces:
AtmosphereRequestImpl.Body
Enclosing interface:
AtmosphereRequestImpl.Body

public static record AtmosphereRequestImpl.Body.BytesBody(byte[] data, int offset, int length) extends Record implements AtmosphereRequestImpl.Body
  • Constructor Details

    • BytesBody

      public BytesBody(byte[] data, int offset, int length)
      Creates an instance of a BytesBody record class.
      Parameters:
      data - the value for the data record component
      offset - the value for the offset record component
      length - the value for the length record component
  • Method Details

    • hasString

      public boolean hasString()
      Description copied from interface: AtmosphereRequestImpl.Body
      True is the body is a String
      Specified by:
      hasString in interface AtmosphereRequestImpl.Body
      Returns:
      True is the body is a String
    • hasBytes

      public boolean hasBytes()
      Description copied from interface: AtmosphereRequestImpl.Body
      True is the body is a byte array
      Specified by:
      hasBytes in interface AtmosphereRequestImpl.Body
      Returns:
      True is the body is a byte array
    • asString

      public String asString()
      Description copied from interface: AtmosphereRequestImpl.Body
      Return the request body as a String. If the body was a byte array, this method will return null.
      Specified by:
      asString in interface AtmosphereRequestImpl.Body
      Returns:
      the request body as a String. If the body was a byte array, this method will return null.
    • asBytes

      public byte[] asBytes()
      Description copied from interface: AtmosphereRequestImpl.Body
      Return the request body as a byte array. If the body was String, this method will return null.
      Specified by:
      asBytes in interface AtmosphereRequestImpl.Body
      Returns:
      the request body as a byte array. If the body was String, this method will return null.
    • byteOffset

      public int byteOffset()
      Description copied from interface: AtmosphereRequestImpl.Body
      Specified by:
      byteOffset in interface AtmosphereRequestImpl.Body
      Returns:
      The AtmosphereRequestImpl.Body.asBytes() offset
    • byteLength

      public int byteLength()
      Description copied from interface: AtmosphereRequestImpl.Body
      Specified by:
      byteLength in interface AtmosphereRequestImpl.Body
      Returns:
      The AtmosphereRequestImpl.Body.asBytes() length
    • isEmpty

      public boolean isEmpty()
      Description copied from interface: AtmosphereRequestImpl.Body
      True if this object is empty
      Specified by:
      isEmpty in interface AtmosphereRequestImpl.Body
      Returns:
      True if this object is empty
    • toString

      public final String toString()
      Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
      Specified by:
      toString in class Record
      Returns:
      a string representation of this object
    • hashCode

      public final int hashCode()
      Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
      Specified by:
      hashCode in class Record
      Returns:
      a hash code value for this object
    • equals

      public final boolean equals(Object o)
      Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with Objects::equals(Object,Object); primitive components are compared with '=='.
      Specified by:
      equals in class Record
      Parameters:
      o - the object with which to compare
      Returns:
      true if this object is the same as the o argument; false otherwise.
    • data

      public byte[] data()
      Returns the value of the data record component.
      Returns:
      the value of the data record component
    • offset

      public int offset()
      Returns the value of the offset record component.
      Returns:
      the value of the offset record component
    • length

      public int length()
      Returns the value of the length record component.
      Returns:
      the value of the length record component